Subject: bug#40614: 28.0.50; [feature/native-comp] straight.el fails to inject :straight keyword handler into use-package when use-package is native-compiled

From: Ihor Radchenko <[email-masked]>
Date: Sun, 19 Apr 2020 17:42:22 +0800

Dear Andrea,

Sorry for the late reply. I had to re-compile the latest emacs from
scratch and regenerate all the .eln files because of errors while
running make on dirty worktree.

> may I ask you to have another try?
>
> c5ed3a72a8 may fix this issue too but for today I'm out of time.

The issue is not reproducible anymore, though my emacs installation is
still not fully compiled. Running make on emacs source was stuck on
compiling ja-dic.elc, which eats out >8Gb of memory and crashes (I only
have 8Gb of RAM).

I believe that partial compilation should not affect the MELPA packages
(they were fully compiled). So, this bug should be fixed as far as I can
tell.

Best,
Ihor

Andrea Corallo <[email-masked]> writes:

> Ihor Radchenko <[email-masked]> writes:
>
>>> I suspect is a duplicate of bug#40620.  Cause this is fixed now could
>>> you please retry now to see if my suspect is correct?
>>
>> Just tried. Still the same problem.
>
> Hi Ihor,
>
> may I ask you to have another try?
>
> c5ed3a72a8 may fix this issue too but for today I'm out of time.
>
> Thanks!
>
>   Andrea
>
> --
> [email-masked]

-- 
Ihor Radchenko,
PhD,
Center for Advancing Materials Performance from the Nanoscale (CAMP-nano)
State Key Laboratory for Mechanical Behavior of Materials, Xi'an Jiaotong University, Xi'an, China
Email: [email-masked], [email-masked]